------------------------------------------------------------------------------
--                                                                          --
--                  GNAT RUN-TIME LIBRARY (GNARL) COMPONENTS                --
--                                                                          --
--                     S Y S T E M . V X W O R K S . E X T                  --
--                                                                          --
--                                   S p e c                                --
--                                                                          --
--            Copyright (C) 2008, Free Software Foundation, Inc.            --
--                                                                          --
-- GNARL is free software; you can  redistribute it  and/or modify it under --
-- terms of the  GNU General Public License as published  by the Free Soft- --
-- ware  Foundation;  either version 2,  or (at your option) any later ver- --
-- sion. GNARL is distributed in the hope that it will be useful, but WITH- --
-- OUT ANY WARRANTY;  without even the  implied warranty of MERCHANTABILITY --
-- or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License --
-- for  more details.  You should have  received  a copy of the GNU General --
-- Public License  distributed with GNARL; see file COPYING.  If not, write --
-- to  the  Free Software Foundation,  51  Franklin  Street,  Fifth  Floor, --
-- Boston, MA 02110-1301, USA.                                              --
--                                                                          --
--                                                                          --
--                                                                          --
--                                                                          --
--                                                                          --
--                                                                          --
--                                                                          --
--                                                                          --
--                                                                          --
------------------------------------------------------------------------------

--  This package provides vxworks specific support functions needed
--  by System.OS_Interface.

--  This is the VxWorks Cert version of this package

with Interfaces.C;

package System.VxWorks.Ext is
   pragma Preelaborate;

   type t_id is new Long_Integer;
   subtype int is Interfaces.C.int;

   function Task_Cont (tid : t_id) return int;
   pragma Inline (Task_Cont);

   function Task_Stop (tid : t_id) return int;
   pragma Inline (Task_Stop);

   function Int_Lock return int;
   pragma Inline (Int_Lock);

   function Int_Unlock return int;
   pragma Inline (Int_Unlock);

   function kill (pid : t_id; sig : int) return int;
   pragma Inline (kill);

   function Set_Time_Slice (ticks : int) return int;
   pragma Inline (Set_Time_Slice);

   function getpid return t_id;
   pragma Inline (getpid);

   type ULONG is new Interfaces.C.unsigned_long;

   function tickGet return ULONG;
   pragma Import (C, tickGet, "tickGet");

end System.VxWorks.Ext;
