/* Configuration file for Nucleus OS on ARM processors.
   Copyright (C) 2007 Free Software Foundation, Inc.
   Contributed by AdaCore, Inc.

   This file is part of GCC.

   GCC is free software; you can redistribute it and/or modify it
   under the terms of the GNU General Public License as published
   by the Free Software Foundation; either version 2, or (at your
   option) any later version.

   GCC is distributed in the hope that it will be useful, but WITHOUT
   ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
   or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
   License for more details.

   You should have received a copy of the GNU General Public License
   along with GCC; see the file COPYING.  If not, write to
   the Free Software Foundation, 51 Franklin Street, Fifth Floor,
   Boston, MA 02110-1301, USA.  */

/* Nucleus OS does not use crt*.o, unlike the generic unknown-elf
   configuration.  */
#undef STARTFILE_SPEC
#define STARTFILE_SPEC ""

#undef ENDFILE_SPEC
#define ENDFILE_SPEC ""

/* Do not link with any libraries by default.  On Nucleus OS, the user
   must supply all required libraries on the command line.  */
#undef LIB_SPEC
#define LIB_SPEC ""

/* This macro is called when code is dynamically generated for use
   with trampolines. On ARM, it is necessary to also flush the data
   cache to ensure the new instructions can be executed. There is no
   API on Nucleus to do this, so execute the relevant instructions
   directly.  */
#undef CLEAR_INSN_CACHE
#define CLEAR_INSN_CACHE(BEG,END) \
  do                                                                 \
    {                                                                \
      unsigned long addr=(unsigned long)(BEG) & ~(31UL);             \
      do                                                             \
	{                                                            \
	  /* Flush data cache line */                                \
	  asm volatile("mcr    p15,0, %0, c7,c14,1" : : "r" (addr)); \
	  addr += 32;                                                \
	}                                                            \
      while (addr && addr < (unsigned long) (END));                  \
    }                                                                \
  while (0)

/* Define the __nucleus__ macro.  */
#undef TARGET_OS_CPP_BUILTINS
#define TARGET_OS_CPP_BUILTINS()		\
  do						\
    {						\
      /* Include the default BPABI stuff.  */	\
      TARGET_BPABI_CPP_BUILTINS ();		\
      builtin_define ("__nucleus__");		\
    }						\
  while (false)

#undef  TARGET_VERSION
#define TARGET_VERSION	fputs (" (ARM/Nucleus OS)", stderr);

/* There is no default multilib.  */
#undef MULTILIB_DEFAULTS
